package cn.reghao.bnt.web.devops.app.service.bd;

import cn.reghao.bnt.web.devops.app.model.vo.BuildTask;
import cn.reghao.jutil.jdk.web.result.Result;

import java.util.List;

/**
 * 构建部署应用
 *
 * @author reghao
 * @date 2023-02-24 21:15:08
 */
public interface BuildApp {
    Result buildAndDeploy(String appId, boolean deploy) throws Exception;
    List<BuildTask> getBuildTasks();
    void cancelTask(String appId);
}
